Opened 5 years ago

Closed 5 years ago

#10362 closed Bug report (rejected)

LIST command times out op HP supprt ftp site

Reported by: Bonno Bloksma Owned by:
Priority: normal Component: FileZilla Client
Keywords: LIST timed out Cc:
Component version: Operating system type: Windows
Operating system version: 7

Description

Using this version I have no problem uploading my files to the HP support ftp site

FileZilla Client


Version: 3.9.0.5

Build information:

Compiled for: i686-w64-mingw32
Compiled on: x86_64-unknown-linux-gnu
Build date: 2014-09-06
Compiled with: i686-w64-mingw32-gcc (GCC) 4.9.1
Compiler flags: -g -O2 -Wall -g -fexceptions -std=gnu++11

Linked against:

wxWidgets: 3.0.2
GnuTLS: 3.2.17
SQLite: 3.8.6

Operating system:

Name: Windows 7 (build 7601, Service Pack 1), 64-bit edition
Version: 6.1
Platform: 64 bit system

Status: Adres bepalen van h1.usa.hp.com
Status: Verbinden met 15.201.164.54:21...
Status: Verbinding aangemaakt, welkomsbericht afwachten...
Antwoord: 220------------------------------------------------------------------
Antwoord: 220- The HPRC FTP dropbox system is intended for Hewlett-Packard
Antwoord: 220- company business with authorized partners and customers. The
Antwoord: 220- terms and conditions for use of the system are published at
Antwoord: 220- http://h1.usa.hp.com/
Antwoord: 220- Use of HPRC implies acceptance of these terms and conditions.
Antwoord: 220- -- Thank you.
Antwoord: 220------------------------------------------------------------------
Antwoord: 220 HPRC FTP Server System
Opdracht: USER estio877
Antwoord: 331 Password required for estio877
Opdracht: PASS
Antwoord: 230------------------------------------------------------------------
Antwoord: 230- HPRC F T P S e r v e r
Antwoord: 230------------------------------------------------------------------
Antwoord: 230- Welcome to HP's ftp service. Use of this service requires
Antwoord: 230- agreement with HP representatives and implies consent to the
Antwoord: 230- Terms of Use (see http://h1.usa.hp.com/TermsOfService.html).
Antwoord: 230- You are user #28 at Fri Apr 03 09:26:11 2015.
Antwoord: 230------------------------------------------------------------------
Antwoord: 230- NOTE: If your FTP client implementation supports PASSIVE
Antwoord: 230- mode, it is recommended that you enable it prior to
Antwoord: 230- continuing.
Antwoord: 230------------------------------------------------------------------
Antwoord: 230 User estio877 logged in
Opdracht: SYST
Antwoord: 215 UNIX Type: L8
Opdracht: FEAT
Antwoord: 211-Features:
Antwoord: AUTH TLS
Antwoord: REST STREAM
Antwoord: EPRT
Antwoord: EPSV
Antwoord: MDTM
Antwoord: SSCN
Antwoord: SIZE
Antwoord: PROT
Antwoord: CCC
Antwoord: PBSZ
Antwoord: 211 End
Status: Server ondersteunt geen niet-ASCII tekens.
Status: Verbonden
Status: Mappenlijst ophalen...
Opdracht: CWD /
Antwoord: 250 CWD command successful
Opdracht: PWD
Antwoord: 257 "/" is the current directory
Opdracht: TYPE I
Antwoord: 200 Type set to I
Opdracht: PASV
Antwoord: 227 Entering Passive Mode (15,201,164,54,240,178).
Opdracht: LIST
Antwoord: 150 Opening BINARY mode data connection for file list
Antwoord: 226 Transfer complete
Status: Tijdzoneverschil van server berekenen...
Opdracht: MDTM 2015-03-19T12_08_44Z()05d217c491830709a3fb8def343a0572.zip
Antwoord: 213 20150319122635
Status: Tijdzoneverschillen: server - 0 seconden. Lokaal - 7200 seconden. Verschil: 7200 seconden.
Status: Mappenlijst opmaken geslaagd
Status: Adres bepalen van h1.usa.hp.com
Status: Adres bepalen van h1.usa.hp.com
Status: Verbinden met 15.201.164.54:21...
Status: Verbinden met 15.201.164.54:21...
Status: Verbinding aangemaakt, welkomsbericht afwachten...
Status: Verbinding aangemaakt, welkomsbericht afwachten...
Antwoord: 220------------------------------------------------------------------
Antwoord: 220- The HPRC FTP dropbox system is intended for Hewlett-Packard
Antwoord: 220- company business with authorized partners and customers. The
Antwoord: 220- terms and conditions for use of the system are published at
Antwoord: 220- http://h1.usa.hp.com/
Antwoord: 220- Use of HPRC implies acceptance of these terms and conditions.
Antwoord: 220- -- Thank you.
Antwoord: 220------------------------------------------------------------------
Antwoord: 220 HPRC FTP Server System
Opdracht: USER estio877
Antwoord: 220------------------------------------------------------------------
Antwoord: 220- The HPRC FTP dropbox system is intended for Hewlett-Packard
Antwoord: 220- company business with authorized partners and customers. The
Antwoord: 220- terms and conditions for use of the system are published at
Antwoord: 220- http://h1.usa.hp.com/
Antwoord: 220- Use of HPRC implies acceptance of these terms and conditions.
Antwoord: 220- -- Thank you.
Antwoord: 220------------------------------------------------------------------
Antwoord: 220 HPRC FTP Server System
Opdracht: USER estio877
Antwoord: 331 Password required for estio877
Opdracht: PASS
Antwoord: 331 Password required for estio877
Opdracht: PASS
Antwoord: 230------------------------------------------------------------------
Antwoord: 230- HPRC F T P S e r v e r
Antwoord: 230------------------------------------------------------------------
Antwoord: 230- Welcome to HP's ftp service. Use of this service requires
Antwoord: 230- agreement with HP representatives and implies consent to the
Antwoord: 230- Terms of Use (see http://h1.usa.hp.com/TermsOfService.html).
Antwoord: 230- You are user #28 at Fri Apr 03 09:26:39 2015.
Antwoord: 230------------------------------------------------------------------
Antwoord: 230- NOTE: If your FTP client implementation supports PASSIVE
Antwoord: 230- mode, it is recommended that you enable it prior to
Antwoord: 230- continuing.
Antwoord: 230------------------------------------------------------------------
Antwoord: 230 User estio877 logged in
Status: Server ondersteunt geen niet-ASCII tekens.
Status: Verbonden
Status: Upload van P:\TEMP\EINLHlog\Performance_LHCLS-02_EINLHGRP-01_04_01_2015_12_00_31_CEST.csv starten
Opdracht: CWD /
Antwoord: 230------------------------------------------------------------------
Antwoord: 230- HPRC F T P S e r v e r
Antwoord: 230------------------------------------------------------------------
Antwoord: 230- Welcome to HP's ftp service. Use of this service requires
Antwoord: 230- agreement with HP representatives and implies consent to the
Antwoord: 230- Terms of Use (see http://h1.usa.hp.com/TermsOfService.html).
Antwoord: 230- You are user #29 at Fri Apr 03 09:26:39 2015.
Antwoord: 230------------------------------------------------------------------
Antwoord: 230- NOTE: If your FTP client implementation supports PASSIVE
Antwoord: 230- mode, it is recommended that you enable it prior to
Antwoord: 230- continuing.
Antwoord: 230------------------------------------------------------------------
Antwoord: 230 User estio877 logged in
Status: Server ondersteunt geen niet-ASCII tekens.
Status: Verbonden
Status: Upload van P:\TEMP\EINLHlog\Performance_LHCLS-02_EINLHGRP-01_03_26_2015_12_04_15_CET.csv starten
Antwoord: 250 CWD command successful
Opdracht: TYPE I
Opdracht: CWD /
Antwoord: 200 Type set to I
Opdracht: PASV
Antwoord: 250 CWD command successful
Opdracht: TYPE I
Antwoord: 227 Entering Passive Mode (15,201,164,54,243,128).
Opdracht: STOR Performance_LHCLS-02_EINLHGRP-01_04_01_2015_12_00_31_CEST.csv
Antwoord: 200 Type set to I
Opdracht: PASV
Antwoord: 227 Entering Passive Mode (15,201,164,54,220,176).
Opdracht: STOR Performance_LHCLS-02_EINLHGRP-01_03_26_2015_12_04_15_CET.csv
Antwoord: 150 Opening BINARY mode data connection for Performance_LHCLS-02_EINLHGRP-01_04_01_2015_12_00_31_CEST.csv
Antwoord: 150 Opening BINARY mode data connection for Performance_LHCLS-02_EINLHGRP-01_03_26_2015_12_04_15_CET.csv
Antwoord: 226 Transfer complete
Status: Bestandsoverdracht geslaagd, 112.756.464 bytes naar 81 seconden overgedragen
Status: Upload van P:\TEMP\EINLHlog\2015-04-03T_6_20_44Z()05d217c491830709a3fb8def343a0572.zip starten
Opdracht: PASV
Antwoord: 227 Entering Passive Mode (15,201,164,54,221,111).
Opdracht: STOR 2015-04-03T_6_20_44Z()05d217c491830709a3fb8def343a0572.zip
Antwoord: 150 Opening BINARY mode data connection for 2015-04-03T_6_20_44Z()05d217c491830709a3fb8def343a0572.zip
Antwoord: 226 Transfer complete
Status: Bestandsoverdracht geslaagd, 32.295.279 bytes naar 23 seconden overgedragen
Antwoord: 226 Transfer complete
Status: Bestandsoverdracht geslaagd, 103.263.288 bytes naar 118 seconden overgedragen
Status: Mappenlijst ophalen...
Opdracht: PASV
Antwoord: 227 Entering Passive Mode (15,201,164,54,206,149).
Opdracht: LIST
Antwoord: 150 Opening BINARY mode data connection for file list
Antwoord: 226 Transfer complete
Status: Mappenlijst opmaken geslaagd
Status: Verbinding met server verbroken
Status: Verbinding met server verbroken

======================

Using this version I cannot get the folder info on the ftp server.
After a connection is made I get an "error" about the certificate used. I accept that message using the Ok button. After that the connection continues but then stops at the LIST command.
This does not seem to be related to the certificate error but I am not sure.
However, Filezilla 3.9.x has no problem using the site.
In case it is relevant, the (Dutch) warning is:
Het certificaat van de server is onbekend. Controleer het certificaat zorgvuldig om vast te stellen of de server vertrouwd kan worden.

It says the certificat is unknow. Should that be the certificate or the certificate chain as it seems to be a normal Verisign certificate.
It is a RSA-SHA-1 2048bit certificate in case that is relevant.

FileZilla Client


Version: 3.10.3

Build information:

Compiled for: x86_64-w64-mingw32
Compiled on: x86_64-unknown-linux-gnu
Build date: 2015-03-29
Compiled with: x86_64-w64-mingw32-gcc (GCC) 4.9.1
Compiler flags: -g -O2 -Wall -g -std=gnu++11

Linked against:

wxWidgets: 3.0.3
GnuTLS: 3.3.13
SQLite: 3.8.8.3

Operating system:

Name: Windows 7 (build 7601, Service Pack 1), 64-bit edition
Version: 6.1
Platform: 64-bit system

Status: Adres bepalen van h1.usa.hp.com
Status: Verbinden met 15.201.164.54:21...
Status: Verbinding aangemaakt, welkomsbericht afwachten...
Status: TLS initialiseren...
Status: Certificaat controleren....
Status: TLS-verbinding opgezet.
Status: Server ondersteunt geen niet-ASCII tekens.
Status: Verbonden
Status: Mappenlijst van "/" ophalen...
Opdracht: CWD /
Antwoord: 250 CWD command successful
Opdracht: PWD
Antwoord: 257 "/" is the current directory
Opdracht: TYPE I
Antwoord: 200 Type set to I
Opdracht: PASV
Antwoord: 227 Entering Passive Mode (15,201,164,54,212,117).
Opdracht: LIST
Fout: Connection timed out after 20 seconds of inactivity
Fout: Ontvangen van mappenlijst is mislukt

Change History (3)

comment:1 Changed 5 years ago by Bonno Bloksma

Here the English log version of the failed LIST command

Status: Resolving address of h1.usa.hp.com
Status: Connecting to 15.201.164.54:21...
Status: Connection established, waiting for welcome message...
Status: Initializing TLS...
Status: Verifying certificate...
Status: TLS connection established.
Status: Server does not support non-ASCII characters.
Status: Connected
Status: Retrieving directory listing of "/"...
Command: CWD /
Response: 250 CWD command successful
Command: PWD
Response: 257 "/" is the current directory
Command: TYPE I
Response: 200 Type set to I
Command: PASV
Response: 227 Entering Passive Mode (15,201,164,54,236,236).
Command: LIST
Error: Connection timed out after 20 seconds of inactivity
Error: Failed to retrieve directory listing

comment:2 Changed 5 years ago by Bonno Bloksma

I thought I had forgotten to set degub level 3 but it seems FileZilla wil not store the debug level and revert that to level 0 after closing the app. I closed the progrtam to get a clean log. In case that is a bug too please create a seperate bug for it.

Here the log with debug level 3.

Status: Resolving address of h1.usa.hp.com
Status: Connecting to 15.201.164.54:21...
Status: Connection established, waiting for welcome message...
Trace: CFtpControlSocket::OnReceive()
Response: 220------------------------------------------------------------------
Response: 220- The HPRC FTP dropbox system is intended for Hewlett-Packard
Response: 220- company business with authorized partners and customers. The
Response: 220- terms and conditions for use of the system are published at
Response: 220- http://h1.usa.hp.com/
Response: 220- Use of HPRC implies acceptance of these terms and conditions.
Response: 220- -- Thank you.
Response: 220------------------------------------------------------------------
Response: 220 HPRC FTP Server System
Trace: CFtpControlSocket::SendNextCommand()
Command: AUTH TLS
Trace: CFtpControlSocket::OnReceive()
Response: 234 AUTH TLS successful
Status: Initializing TLS...
Trace: CTlsSocket::Handshake()
Trace: CTlsSocket::ContinueHandshake()
Trace: CTlsSocket::ContinueHandshake()
Trace: CTlsSocket::ContinueHandshake()
Trace: CTlsSocket::ContinueHandshake()
Trace: TLS Handshake successful
Trace: Protocol: TLS1.0, Key exchange: RSA, Cipher: AES-256-CBC, MAC: SHA1
Status: Verifying certificate...
Status: TLS connection established.
Trace: CFtpControlSocket::SendNextCommand()
Command: USER estio877
Trace: CFtpControlSocket::OnReceive()
Response: 331 Password required for estio877
Trace: CFtpControlSocket::SendNextCommand()
Command: PASS
Trace: CFtpControlSocket::OnReceive()
Response: 230------------------------------------------------------------------
Response: 230- HPRC F T P S e r v e r
Trace: CFtpControlSocket::OnReceive()
Response: 230------------------------------------------------------------------
Response: 230- Welcome to HP's ftp service. Use of this service requires
Response: 230- agreement with HP representatives and implies consent to the
Response: 230- Terms of Use (see http://h1.usa.hp.com/TermsOfService.html).
Response: 230- You are user #25 at Fri Apr 03 10:30:21 2015.
Response: 230------------------------------------------------------------------
Trace: CFtpControlSocket::OnReceive()
Response: 230- NOTE: If your FTP client implementation supports PASSIVE
Response: 230- mode, it is recommended that you enable it prior to
Response: 230- continuing.
Response: 230------------------------------------------------------------------
Response: 230 User estio877 logged in
Trace: CFtpControlSocket::SendNextCommand()
Command: SYST
Trace: CFtpControlSocket::OnReceive()
Response: 215 UNIX Type: L8
Trace: CFtpControlSocket::SendNextCommand()
Command: FEAT
Trace: CFtpControlSocket::OnReceive()
Response: 211-Features:
Response: AUTH TLS
Response: REST STREAM
Response: EPRT
Response: EPSV
Response: MDTM
Response: SSCN
Response: SIZE
Response: PROT
Response: CCC
Response: PBSZ
Response: 211 End
Status: Server does not support non-ASCII characters.
Trace: CFtpControlSocket::SendNextCommand()
Command: PBSZ 0
Trace: CFtpControlSocket::OnReceive()
Response: 200 PBSZ 0 successful
Trace: CFtpControlSocket::SendNextCommand()
Command: PROT P
Trace: CFtpControlSocket::OnReceive()
Response: 200 Protection set to Private
Status: Connected
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: Measured latency of 423 ms
Status: Retrieving directory listing of "/"...
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::ChangeDirSend()
Command: CWD /
Trace: CFtpControlSocket::OnReceive()
Response: 250 CWD command successful
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::ChangeDirSend()
Command: PWD
Trace: CFtpControlSocket::OnReceive()
Response: 257 "/" is the current directory
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: CFtpControlSocket::ParseSubcommandResult(0)
Trace: CFtpControlSocket::ListSubcommandResult()
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Command: TYPE I
Trace: CFtpControlSocket::OnReceive()
Response: 200 Type set to I
Trace: CFtpControlSocket::TransferParseResponse()
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Command: PASV
Trace: CFtpControlSocket::OnReceive()
Response: 227 Entering Passive Mode (15,201,164,54,237,106).
Trace: CFtpControlSocket::TransferParseResponse()
Trace: CFtpControlSocket::SendNextCommand()
Trace: CFtpControlSocket::TransferSend()
Command: LIST
Error: Connection timed out after 20 seconds of inactivity
Trace: CFtpControlSocket::ResetOperation(2114)
Trace: CControlSocket::ResetOperation(2114)
Trace: CFtpControlSocket::ResetOperation(2114)
Trace: CControlSocket::ResetOperation(2114)
Error: Failed to retrieve directory listing

comment:3 Changed 5 years ago by Tim Kosse

Resolution: rejected
Status: newclosed

Your server appears to be behind a firewall that isn't configure correctly for explicit FTP over TLS. Contact your server administrator or server hosting provider for assistance so that the server's firewall can be fixed.

Note: See TracTickets for help on using tickets.